#!/bin/sh



max_age_days=1
while [ $# -gt 0 ]
do
    root_dir=$1
    shift
    if [ "x$root_dir" = 'x' ]; then
	exit 1
    fi
    if [ ! -d "$root_dir" ]; then
	exit 2
    fi

    for subdir in '0' '1' '2' '3' '4' '5' '6' '7' '8' '9' 'a' 'b' 'c' 'd' 'e' 'f'
    do
	if [ -f '/usr/bin/ionice' ]; then
	    ionice -c3 find "$root_dir/$subdir" -type f -mtime +$max_age_days -delete 2>/dev/null
	else
	    find "$root_dir/$subdir" -type f -mtime +$max_age_days -delete
	fi
    done
done

